View Issue Details

IDProjectCategoryView StatusLast Update
0005580GNUnetGNSpublic2019-02-28 11:17
ReporterschanzenAssigned Toschanzen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005580: proxy CA generation fails on macOS
DescriptionThe error is:

Generating CA
Error Loading extension section v3_ca
Removing passphrase from key
unable to load Private Key
4596926060:error:09FFF06C:PEM routines:CRYPTO_internal:no start line:/BuildRoot/Library/Caches/com.apple.xbs/Sources/libressl/libressl-22.240.1/libressl-2.6/crypto/pem/pem_lib.c:683:Expecting: ANY PRIVATE KEY
Making private key available to gnunet-gns-proxy
'certutil' command not found. Not importing into browsers.
Cleaning up.
===================================
You can now start gnunet-gns-proxy.
Afterwards, configure your browser
 to use a SOCKS proxy on port 7777.
===================================
Steps To Reproduceexecute gnunet-gns-proxy-setup-ca on macos
TagsNo tags attached.

Activities

schanzen

2019-02-16 23:54

developer   ~0013837

We should probably either supply our own openssl.cnf (which includes the ca extension definition it complains about) or discover the installed one, if any.

schanzen

2019-02-17 22:48

developer   ~0013855

Fixed in 003606cc941a4580d787c9970193bb22e307c413

Issue History

Date Modified Username Field Change
2019-02-16 22:21 schanzen New Issue
2019-02-16 22:26 schanzen Summary proxy CA generation fails on macos => proxy CA generation fails on macOS
2019-02-16 23:54 schanzen Note Added: 0013837
2019-02-17 20:48 schanzen Status new => feedback
2019-02-17 22:48 schanzen Assigned To => schanzen
2019-02-17 22:48 schanzen Status feedback => resolved
2019-02-17 22:48 schanzen Resolution open => fixed
2019-02-17 22:48 schanzen Fixed in Version => 0.11.0
2019-02-17 22:48 schanzen Note Added: 0013855
2019-02-18 21:58 Christian Grothoff Product Version => SVN HEAD
2019-02-18 21:58 Christian Grothoff Target Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed